/*------------------------------------*\
    #NEWS-DATES
\*------------------------------------*/
/**
 * News dates component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}news-dates,
%#{$inuit-namespace}news-dates {
    display: block;
}

.#{$inuit-namespace}news-dates__content,
%#{$inuit-namespace}news-dates__content {
    display: block;
    font-size: 75%;
}


.#{$inuit-namespace}date__upcoming-calendar,
%#{$inuit-namespace}date__upcoming-calendar {
    float: left;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 6px;
    width: 42px;
    height: 42px;
    background-image: url(../Images/png/calendar-icon.png);
    background-repeat: no-repeat;
    padding: 0px;
}


.#{$inuit-namespace}date__upcoming-calendar-background,
%#{$inuit-namespace}date__upcoming-calendar-background
{
    background-color: $dark-blue;
    width: 34px;
    height: 12px;
    margin-bottom: 0px;
    margin-right: 0px;
    margin-top: 6px;
    margin-left: 4px;
    padding: 0px;

}

.#{$inuit-namespace}date__upcoming-calendar-background-odd,
%#{$inuit-namespace}date__upcoming-calendar-background-odd {
    @extend .#{$inuit-namespace}date__upcoming-calendar-background;

    background-color: $dark-green;
}

.#{$inuit-namespace}date__upcoming-text-month,
%#{$inuit-namespace}date__upcoming-text-month {
    color: #FFFFFF;
    padding: 0px;
    font-family: arial,sans-serif;
    font-weight: bold;
    font-size: 11px;
    line-height: 1em;
    text-align: center;
    position: relative;
    margin-top: -12px;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 0px;
    text-transform: uppercase;
}

.#{$inuit-namespace}date__upcoming-text-day,
%#{$inuit-namespace}date__upcoming-text-day {
    color: $dark-blue;
    margin: 0px;
    font-family: arial,sans-serif;
    font-weight: bold;
    font-size: 1.1em;
    line-height: 1.4em;
    width: 42px;
    text-align: center;
    padding: 0px;
    margin-top: -2px;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 0px;

}

.#{$inuit-namespace}date__upcoming-text-day-odd,
%#{$inuit-namespace}date__upcoming-text-day-odd {

    @extend .#{$inuit-namespace}date__upcoming-text-day;
    color: $dark-green;

}